MultiplanParserInternal Namespace Reference

Internal: the structures of a MultiplanParser. More...

## Classes
struct | State
| Internal: the state of a MultiplanParser. More...
class | SubDocument
| Internal: the subdocument of a MultiplanParserInternal. More...
struct | Functions

## Variables
static Functions const | s_listOperators []
static char const * | s_listFunctions []

## Detailed Description

Internal: the structures of a MultiplanParser.

## Variable Documentation

## ◆ s_listFunctions

char const* MultiplanParserInternal::s_listFunctions[]
| static

Initial value:
= {
"Count", "If", "IsNA", "IsError",
"Sum", "Average", "Min", "Max",
"Row", "Column", "NA", "NPV",
"Stdev", "Dollar", "Fixed", "Sin",
"Cos", "Tan", "Atan", "Pi",
"Sqrt", "Exp", "Ln", "Log",
"Abs", "Int", "Sign", "Round",
"Lookup", "Index", "Rept", "Mid",
"Length", "Value", "True", "False",
"And", "Or", "Not", "Mod",
"IterCnt", "Delta", "PV", "FV",
"NPer", "PMT", "Rate", "MIRR",
"Irr", nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
nullptr, nullptr, nullptr, nullptr,
}

Referenced by MultiplanParser::readFormula().

## ◆ s_listOperators

Functions const MultiplanParserInternal::s_listOperators[]
| static

Referenced by MultiplanParser::readFormula().